# UIs

## CLI Arguments

### Open Browser

Open the browser once the program is ready.

Argument: `--open-browser`

Default: `None`

Example: `--open-browser`

### UI Layouts

Launch a single or multiple UI layouts.

Argument: `--ui-layouts`

Default: `default`

Choices:

* `benchmark`
* `default`
* `jobs`
* `webcam`

Example: `--ui-layouts default jobs`

### UI Workflow

Choose the UI workflow.

Argument: `--ui-workflow`

Default: `instant_runner`

Choices:

* `instant_runner`
* `job_runner`
* `job_manager`

Example: `--ui-workflow job_manager`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[uis]
open_browser = True
ui_layouts = default jobs
ui_workflow = job_manager
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/uis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
